#include <bits/stdc++.h>
using namespace std;
long dem(string a)
{
    int j=atoi(a.c_str());
    return j;
}
int main()
{
	ifstream f1("bai5b.inp");
	ofstream f2("bai5b.out");
	string s;
	string a;
	long tong=0;
	getline(f1,s);
	for(long i=0;i<s.length();i++)
	{
		if((s[i]>='0')&&(s[i]<='9'))
		{
			a="";
			while(((s[i]>='0')&&(s[i]<='9'))&&(i<s.length()))
			{
				a=a+s[i];
				i++;
			}
			tong=tong+dem(a);
		}
	}
    f2<<tong;
    f1.close();
    f2.close();
    return 0;
}
